> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# クロールステータスを取得

> 注記: 機能とパフォーマンスが向上した [本 API の新しい v2 バージョン](/ja/api-reference/endpoint/crawl-get) が利用可能です。


## OpenAPI

````yaml ja/api-reference/v1-openapi.json GET /crawl/{id}
openapi: 3.0.0
info:
  contact:
    email: support@firecrawl.dev
    name: Firecrawl Support
    url: https://firecrawl.dev/support
  description: Firecrawl サービスと連携して Web サイトのスクレイピングおよびクロール処理を行うための API です。
  title: Firecrawl API
  version: v1
servers:
  - url: https://api.firecrawl.dev/v1
security:
  - bearerAuth: []
paths:
  /crawl/{id}:
    parameters:
      - description: クロールジョブのID
        in: path
        name: id
        required: true
        schema:
          format: uuid
          type: string
    get:
      tags:
        - Crawling
      summary: クロールジョブのステータスを取得する
      operationId: getCrawlStatus
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CrawlStatusResponseObj'
          description: 成功時のレスポンス
        '402':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: Payment required to access this resource.
                    type: string
                type: object
          description: お支払いが必要です
        '429':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: >-
                      Request rate limit exceeded. Please wait and try again
                      later.
                    type: string
                type: object
          description: リクエスト数が多すぎます
        '500':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: An unexpected error occurred on the server.
                    type: string
                type: object
          description: サーバーエラー
      security:
        - bearerAuth: []
components:
  schemas:
    CrawlStatusResponseObj:
      properties:
        completed:
          description: 正常にクロールが完了したページ数。
          type: integer
        creditsUsed:
          description: クロールで使用されたクレジット数。
          type: integer
        data:
          description: クロールで取得したデータ。
          items:
            properties:
              html:
                description: '`includeHtml` が true の場合、そのページのコンテンツの HTML 版'
                nullable: true
                type: string
              links:
                description: '`includeLinks` が true の場合の、ページ上のリンク一覧'
                items:
                  type: string
                type: array
              markdown:
                type: string
              metadata:
                properties:
                  '<any other metadata> ':
                    description: HTML から抽出されたその他のメタデータ。文字列または文字列配列になることがあります
                    oneOf:
                      - type: string
                      - items:
                          type: string
                        type: array
                  description:
                    description: ページから抽出された説明。文字列または文字列配列のいずれかになります
                    oneOf:
                      - type: string
                      - items:
                          type: string
                        type: array
                  error:
                    description: ページのエラーメッセージ
                    nullable: true
                    type: string
                  keywords:
                    description: ページから抽出されたキーワード。文字列または文字列配列のいずれかです
                    oneOf:
                      - type: string
                      - items:
                          type: string
                        type: array
                  language:
                    description: ページから抽出された言語。文字列または文字列の配列のいずれかになります。
                    nullable: true
                    oneOf:
                      - type: string
                      - items:
                          type: string
                        type: array
                  numPages:
                    description: PDF 入力の場合、解析されたページ数（パーサーの maxPages オプションで上限が適用されます）。
                    type: integer
                  ogLocaleAlternate:
                    description: このページの他のロケール
                    items:
                      type: string
                    type: array
                  sourceURL:
                    format: uri
                    type: string
                  statusCode:
                    description: ページのステータスコード
                    type: integer
                  title:
                    description: ページから抽出されたタイトル。文字列または文字列の配列である場合があります
                    oneOf:
                      - type: string
                      - items:
                          type: string
                        type: array
                  totalPages:
                    description: >-
                      PDF 入力の場合、maxPages
                      の上限適用前における文書の実際の総ページ数。判別できない場合は省略されます。totalPages が
                      numPages より大きい場合、結果が切り詰められていることを示します。
                    type: integer
                type: object
              rawHtml:
                description: '`includeRawHtml` が true の場合のページの未加工の HTML コンテンツ'
                nullable: true
                type: string
              screenshot:
                description: '`includeScreenshot` が true の場合のページのスクリーンショット画像'
                nullable: true
                type: string
            type: object
          type: array
        expiresAt:
          description: クロールが有効期限切れとなる日時。
          format: date-time
          type: string
        next:
          description: >-
            次の 10MB 分のデータを取得するための URL。クロールが完了していない場合、またはレスポンスが 10MB
            を超える場合に返されます。
          nullable: true
          type: string
        status:
          description: クロールの現在の状態です。`scraping`、`completed`、`failed` のいずれかです。
          type: string
        total:
          description: クロールを試行したページ数の合計です。
          type: integer
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````